using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 小程序绑定的设备类型
    /// </summary>

    [SugarTable("YB_DeviceTypeApp", TableDescription = "小程序绑定的设备类型", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_DeviceTypeApp
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(ColumnDescription = "主键", IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "DevType")]
        public string DevType { get; set; }
        /// <summary>
        /// 小程序appid
        /// </summary>
        [SugarColumn(ColumnDescription = "小程序appid")]
        public string AppId { get; set; }
        /// <summary>
        /// 状态,0-不可用,1-可用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-不可用,1-可用")]
        public StatusType Status { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
